coverage 4.3.2 claims support for Py2.6 but seems it's not

Issue #555 duplicate
Alessandro Molina created an issue

Seems recent coverage release has issues importing on Python2.6 even though it should be supported:

    import coverage
  File "/home/travis/virtualenv/python2.6.9/lib/python2.6/site-packages/coverage/__init__.py", line 13, in <module>
    from coverage.control import Coverage, process_startup
  File "/home/travis/virtualenv/python2.6.9/lib/python2.6/site-packages/coverage/control.py", line 14, in <module>
    from coverage import env, files
  File "/home/travis/virtualenv/python2.6.9/lib/python2.6/site-packages/coverage/files.py", line 16, in <module>
    from coverage.misc import contract, CoverageException, join_regex, isolate_module
  File "/home/travis/virtualenv/python2.6.9/lib/python2.6/site-packages/coverage/misc.py", line 287, in <module>
    class StopEverything(unittest.SkipTest):
AttributeError: 'module' object has no attribute 'SkipTest'

Comments (1)

  1. Log in to comment